<?php

####GET - POST FUNCTİON####
## Açıklama : $_GET ve $_POST değerlerinin güvenli bir şekilde veritabanına işlenmesini ve okunmasını sağlar.
## Önem Durumu : Yüksek
## Fonksiyon Numarası : 1
function g ($get) {  return htmlspecialchars(mysql_real_escape_string($_GET[$get]));}
function p ($post) {  return htmlspecialchars(mysql_real_escape_string($_POST[$post])); }
####GET - POST FUNCTİON -END####


#### SEO FUNCTİON ####
## Açıklama : Seo uyumlu url oluşturmak için kullanılır.
## Önem Durumu : Yüksek
## Fonksiyon Numarası : 2
function seo($s) {
 $tr = array('?','ş','Ş','ı','I','İ','ğ','Ğ','ü','Ü','ö','Ö','Ç','ç','(',')','/',':',',');
 $eng = array('','s','s','i','i','i','g','g','u','u','o','o','c','c','','','-','-','');
 $s = str_replace($tr,$eng,$s);
 $s = strtolower($s);
 $s = preg_replace('/&amp;amp;amp;amp;amp;amp;amp;amp;amp;.+?;/', '', $s);
 $s = preg_replace('/\s+/', '-', $s);
 $s = preg_replace('|-+|', '-', $s);
 $s = preg_replace('/#/', '', $s);
 $s = str_replace('.', '', $s);
 $s = trim($s, '-');
 return $s;
}
?>